curl --request PUT \
--url https://api.example.com/api/v1/notifications/preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email_enabled": true,
"personal_email": "jsmith@example.com",
"whatsapp_enabled": false,
"whatsapp_number": "<string>",
"notify_on_reply": true,
"notify_on_bounce": false,
"notify_on_complaint": false
}
'{
"email_enabled": true,
"whatsapp_enabled": true,
"notify_on_reply": true,
"notify_on_bounce": true,
"notify_on_complaint": true,
"personal_email": "<string>",
"whatsapp_number": "<string>"
}Upsert notification preferences for the current user.
curl --request PUT \
--url https://api.example.com/api/v1/notifications/preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email_enabled": true,
"personal_email": "jsmith@example.com",
"whatsapp_enabled": false,
"whatsapp_number": "<string>",
"notify_on_reply": true,
"notify_on_bounce": false,
"notify_on_complaint": false
}
'{
"email_enabled": true,
"whatsapp_enabled": true,
"notify_on_reply": true,
"notify_on_bounce": true,
"notify_on_complaint": true,
"personal_email": "<string>",
"whatsapp_number": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.bavlio.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.